# Created by pyp2rpm-3.3.5
%global pypi_name mdit-py-plugins
%global srcname mdit_py_plugins

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 1
Summary:        Collection of plugins for markdown-it-py
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/mdit-py-plugins
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Collection of core plugins for markdown-it-py

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Collection of core plugins for markdown-it-py

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdit_py_plugins

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 0.4.2-1.mga10
+ Revision: 2153604
- new version: 0.4.2
- rebuild for python 3.13

* Thu May 16 2024 papoteur <papoteur> 0.4.1-1.mga10
+ Revision: 2064455
- new version 0.4.1

* Wed Dec 20 2023 wally <wally> 0.4.0-2.mga10
+ Revision: 2020141
- rebuild for py3.12
- use %%pyproject_buildrequires

* Tue Oct 03 2023 papoteur <papoteur> 0.4.0-1.mga10
+ Revision: 1993559
- new 0.4.0

* Fri Feb 03 2023 papoteur <papoteur> 0.3.3-1.mga9
+ Revision: 1937758
- new 0.3.3

* Fri Nov 04 2022 wally <wally> 0.3.0-2.mga9
+ Revision: 1902763
- update setuptools-scm BRs

* Wed Aug 10 2022 wally <wally> 0.3.0-1.mga9
+ Revision: 1876669
- new version 0.3.0

* Sat Jun 25 2022 papoteur <papoteur> 0.1.0-1.mga9
+ Revision: 1866232
- imported package python-mdit-py-plugins

